/* REXX Script: creating WPS objects for Nicki's USBCamera-To-HardDisk-Thingy */
/* First used to install V0.3 */

call rxFuncAdd "SysLoadFuncs" , "RexxUtil" , "SysLoadFuncs"
call SysLoadFuncs

name = "Nicki's USBCamera-To-HardDisk-Thingy"
dir = directory()

README_FILE = dir"\docs\readme.htm"
README_NAME = "Readme"

Release_File = dir"\docs\readme.txt"

rc=SysCreateObject("WPFolder",name,"<WP_DESKTOP>",,
                   "OBJECTID=<USBCFOLDER>","Update" )

/* PRGOPTION="EXENAME="||dir||"\CAMERA.EXE;OBJECTID=<CAMERA_EXE>" */
PRGOPTION="EXENAME="||dir||"\USBCAMERA.CMD;OBJECTID=<USBCAMERA_CMD>"
rc=SysCreateObject("WPProgram",name,"<USBCFOLDER>",PRGOPTION,"REPLACE")
/* Create a shadow of the README.HTM html file */
rc=SysCreateObject('WPUrl', README_NAME, "<USBCFOLDER>", 'URL=file:///'README_FILE, "u")
/* Create a program object of the Release.txt text file */
rc=SysCreateObject("WPProgram",'Release Notes',"<USBCFOLDER>","EXENAME=E.EXE;PROGTYPE=PM;PARAMETERS="||dir||"\docs\release.txt","REPLACE")
/* Create a program object of the USBEject.CMD system command file */
rc=SysCreateObject("WPProgram",'Eject Camera',"<USBCFOLDER>","EXENAME="||dir||"\USBEject.CMD;PARAMETERS=[]","REPLACE")
